<div class="content-header row">
  <div class="content-header-left col-md-9 col-12 mb-2">
    <div class="row breadcrumbs-top">
      <div class="col-12">
        <h2 class="content-header-title float-left mb-0">Liste des documents non traité</h2>
      
      </div>
    </div>
  </div>
  <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
    <div class="form-group breadcrum-right">
      <div class="dropdown">
        <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle waves-effect waves-light" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="feather icon-settings"></i></button>
        <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#">Chat</a><a class="dropdown-item" href="#">Email</a><a class="dropdown-item" href="#">Calendar</a></div>
      </div>
    </div>
  </div>
</div>
<section id="data-thumb-view" class="data-thumb-view-header">
  <div class="row">
      <div class="col-12">
          <div class="card">
              <div class="card-header">
                  <h4 class="card-title"></h4>
              </div>
              <div class="card-content">

                  <div class="card-body card-dashboard">

                      <div class="table-responsive">

                          <table class="table zero-configuration table-striped" >

                              <thead>
                                  <tr>
                                      <th>Nom fichier</th>
                                      <th>ACTION</th>
                                  </tr>
                              </thead>
                              <tbody>
                                  <tr *ngFor="let f of files;index as i">
                                    <td> 
                                          <div class="product-category">
                                           
                                            <a target="_blank" href="assets/app-assets/images/Dropbox/Assurance/{{f}}">{{f}}</a>
                                          
                                          </div>
                                    </td>
                                   
                                    <td class="product-action">
                                    
                          
                                   <div class="dropdown">
                                    <a class="dropdown-toggle" data-toggle="dropdown" href="#" aria-expanded="false"></a>
                                    <div class="dropdown-menu dropdown-menu-right">
                                      <a class="dropdown-item" href="#" data-toggle="modal" [attr.data-target]="'#modifier' + i"><i class="feather icon-edit" style="color:blue;"></i>Modifier</a>
                          
                                      <a class="dropdown-item" href="#" data-toggle="modal" (click)="deletePopup(f)"><i class=" feather icon-trash" style="color: red;"></i>Supprimer</a>
                                    </div>
                                  </div>
                                  
                                  </td>
                                 
                                  <div class="modal modal-danger fade" id="modifier{{i}}">
                                    <div class="modal-dialog " role="document">
                                      <div class="modal-content" style="width:700px">
                                        <div class="modal-header">
                                          <h4 class="modal-title" id="myModalLabel4">Traiter document </h4>
                                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">×</span>
                                          </button>
                                        </div>
                                        <div class="modal-body">
                                          
                                          
                                            
                                         
                                          
                                          
                                          
                                                            <div class="card-body">
                                                              <form class="form form-horizontal" #fd="ngForm" (ngSubmit)="save(fd.value)">
                                                                <div class="form-body">
                                                                    <div class="row">
                                                                        
                                                                        
                                                                        
                                                                        <div class="col-12">
                                                                            <div class="form-group row">
                                                                                <div class="col-md-4">
                                                                                 <input type="hidden" name="file" [ngModel]="f" #file="ngModel">
                                                                                  <span>Nom Fichier:</span>
                                                                                 </div>
                                                                                <div class="col-md-8">
                                                                                    <input type="text" class="form-control" placeholder="Nom de document" name="nom" ngModel #nom="ngModel">
                                                                                      
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-12">
                                                                          <div class="form-group row">
                                                                              <div class="col-md-4">
                                                                                <span>Scanné le:</span>
                                                                               </div>
                                                                              <div class="col-md-8">
                                                                                  <input type="date" class="form-control" name="date" ngModel #date="ngModel">
                                                                                    
                                                                              </div>
                                                                          </div>
                                                                      </div>
                                                                        <div class="col-12">
                                                                          <div class="form-group row">
                                                                              <div class="col-md-4">
                                                                                <span>Type Document:</span>
                                                                               </div>
                                                                              <div class="col-md-8">
                                                                                <input type="text" class="form-control" placeholder="Type de document" name="type" ngModel #type="ngModel">

                                                                              </div>
                                                                          </div>
                                                                      </div>
                                  
                                                                      <div class="col-12">
                                                                        <div class="form-group row">
                                                                            <div class="col-md-4">
                                                                              <span>Client:</span>
                                                                             </div>
                                                                            <div class="col-md-8">
                                                                              <div class="form-group">
                                                                                <select class="form-control" id="clt" name="clt" [(ngModel)]="selectedValueClient"  #clt="ngModel">
                                                                                  <option [ngValue]="undefined" disabled hidden>Choose a Cient</option>
                                                    
                                                                                  <option *ngFor="let c of client" value="{{c.id}}">{{c.nom}}</option>
                                                                                  
                                                                                </select>
                                                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="clt.touched && selectedValueClient === undefined">
                                                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                                                  <span>Client doit étre Obiligatoire</span>
                                                                                </div>
                                                                              </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                          
                                                                      
                                          
                                                               
                                                                        
                                                                      
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-4 offset-md-8">
                                                                <button type="submit" class="btn btn-primary glow mb-1 mb-sm-0 mr-0 mr-sm-1">Traiter Document</button>
                                                              </div>
                                                            </form>
                                                            </div>
                                                       
                                          
                                                
                                              
                                                       
                                                
                                  
                                  
                                  
                                        </div>
                                       
                                      
                                      </div>
                                      <!-- /.modal-content -->
                                    </div>
                                    <!-- /.modal-dialog -->
                                  </div>
                                 
                                  </tr>
                               
                                  
                                       </tbody>                      
                              
                          </table>
                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>
  <!-- dataTable ends -->

  <!-- add new sidebar starts -->
 
  <div class="modal modal-danger fade" id="modal-danger2">
    <div class="modal-dialog " role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title" id="myModalLabel4">Suppression Document</h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
        </div>
        <div class="modal-body">
          <p>
          Voulez vous supprimer  Document 1
          </p>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary waves-effect waves-light" data-dismiss="modal">Supprimer</button>
        </div>
      
      </div>
      <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
  </div>
  <!-- add new sidebar ends -->
</section>


